# $Revision: 1.6 $, $Date: 2004/08/17 21:39:49 $
Summary:	C++ wrapper for GtkGLExt library
Summary(pl):	Interfejs C++ do biblioteki GtkGLExt
Name:		gtkglextmm
Version:	1.1.0
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/gtkglext/%{name}-%{version}.tar.bz2
# Source0-md5:	687d7ba37925f916ecd418b5a28a338e
URL:		http://gtkglext.sourceforge.net/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	gtkglext-devel >= 1.0.0
BuildRequires:	gtkmm-devel >= 2.4.0
BuildRequires:	libtool >= 2:1.4d-3
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
gtkglextmm is C++ wrapper for GtkGLExt, OpenGL Extension to GTK.

%description -l pl
gtkglextmm to interfejs C++ do GtkGLExt - rozszerzenia OpenGL dla GTK.

%package devel
Summary:	Header files for gtkglextmm library
Summary(pl):	Pliki nagwkowe biblioteki gtkglextmm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtkglext-devel >= 1.0.0
Requires:	gtkmm-devel >= 2.4.0

%description devel
Header files for gtkglextmm library.

%description devel -l pl
Pliki nagwkowe biblioteki gtkglextmm.

%package static
Summary:	Static gtkglextmm library
Summary(pl):	Statyczna biblioteka gtkglextmm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gtkglextmm library.

%description static -l pl
Statyczna biblioteka gtkglextmm.

%prep
%setup -q

%build
# relink issue
%{__libtoolize}
%{__aclocal} -I m4macros
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/gtkglextmm-1.2
%{_includedir}/gtkglextmm-1.2
%{_aclocaldir}/*.m4
%{_pkgconfigdir}/*.pc
%{_gtkdocdir}/gtkglextmm-1.2

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtkglextmm.spec,v $
Revision 1.6  2004/08/17 21:39:49  ankry
- rel. 3 to rebuild

Revision 1.5  2004/07/20 08:23:47  averne
- rel 2 for rebuild

Revision 1.4  2004/06/20 18:15:06  qboosh
- updated to 1.1.0 for gtkmm 2.4.x

Revision 1.3  2004/06/13 21:25:46  averne
- rel2 for rebuild with propper libs

Revision 1.2  2003/11/22 00:21:20  qboosh
- updated to 1.0.1

Revision 1.1  2003/08/09 18:48:08  qboosh
- new
